Accept an Interac transfer into your business wallet. Required scope: collection:interac:accept.
Authorization
oauth2ClientCredentials collection:interac:acceptUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: collection:interac:accept
Header Parameters
Content type header.
"application/json"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Use this for regular Interac transfers that require a security answer.
Response Body
application/json
application/json
curl --request POST \ --url 'https://example.com/api/external/collection/accept-interac-money-request' \ --header 'Content-Type: application/json' \ --data '{ "reference_number": "ABC123456", "security_answer": "MySecretAnswer", "email": "payer@example.com"}'{ "message": "Interac money request accepted successfully. It will be processed in a few minutes.", "transaction": { "id": "20580e50-1b32-40a6-aa46-ac8e795b3zas", "status": "PENDING", "reference": "CA1MR6ahQBCJ", "external_reference": "CA1MR6ahQBCJ" }}POSTAttach customer to collection
Associate a collection transaction with a verified customer. **Important:** API card collections cannot be updated with this endpoint. Required scope: `collection:create`.
POSTInitiate Interac money request
Send an Interac money request to a payer's email to collect CAD into your business wallet. Blaaiz creates a pending collection and sends the request to the payer; when they approve it from their bank app, the funds settle into your CAD wallet and a collection webhook is emitted. Required scope: `collection:interac:create`. Your business must have an active CAD wallet and Interac enabled for CAD.